﻿;==========================================================================================================================================================
; Get all details like line, char, count etc
;==========================================================================================================================================================

Structure EditInfoStructure
  Chars.i
  Words.i
  Lines.i
EndStructure

;==========================================================================================================================================================
; 
;==========================================================================================================================================================

Procedure EditorCount(Gadget.i, *EditInfo.EditInfoStructure)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Text$
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Text$ = GetGadgetText(Gadget)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  *EditInfo\Lines = CountString(Text$, #LF$) + 1
  
  *EditInfo\Chars = Len(Text$) - ((*EditInfo\Lines - 1) * 2)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  While FindString(Text$, #LF$, 0)
    
    Text$ = ReplaceString(Text$, #LF$, " ")
    
  Wend
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  While FindString(Text$, #CR$, 0)
    
    Text$ = ReplaceString(Text$, #CR$, " ")
    
  Wend

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  While FindString(Text$, "  ", 0)
    
    Text$ = ReplaceString(Text$, "  ", " ")
    
  Wend

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Len(Text$)
    
    *EditInfo\Words = CountString(Trim(Text$), " ") + 1
    
  Else
    
    *EditInfo\Words = CountString(Trim(Text$), " ")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

;==========================================================================================================================================================
; 
;==========================================================================================================================================================

Procedure GetEditorDetails()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected EditInfo.EditInfoStructure
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  EditorCount(#Gadget_NotePiddle_edit, @EditInfo)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetGadgetText(#Gadget_NotePiddle_Lines, Str(EditInfo\Lines)       + " Lines")
  
  SetGadgetText(#Gadget_NotePiddle_Words, Str(EditInfo\Words)       + " Words")
  
  SetGadgetText(#Gadget_NotePiddle_Characters, Str(EditInfo\Chars)  + " Chars")
  
  SetStatusBar(3, Str(CountGadgetItems(#Gadget_notepiddle_edit)))
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 120
; FirstLine = 74
; Folding = -
; EnableXP
; CompileSourceDirectory