;============================================================================================================================================================
; Fade a form window into the display
;============================================================================================================================================================

Procedure FadeInMyWindow(Window, Speed)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Program\Fade = 1
  
    SetStyle(Window)
    
    CurrentWindow = WindowID(Window)
    
    Alpha = 0
    
    Repeat
    
      SetLayeredWindowAttributes_(CurrentWindow, 0, Alpha, #LWA_ALPHA)
      
      If Alpha = 0
      
        ShowWindow_(CurrentWindow, #SW_SHOW)
        
        SetForegroundWindow_(CurrentWindow)
        
      EndIf
      
      Alpha + Speed
      
      If Alpha > 255
        
        Alpha = 255
        
      EndIf
      
      Delay(10)
      
    Until Alpha > = 255
  
  Else
  
    HideWindow(Window, 0)
   
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 52
; FirstLine = 3
; Folding = -
; DisableDebugger
; HideErrorLog