;============================================================================================================================================================
; Set the window style for various effects
;============================================================================================================================================================

Procedure SetStyle(Window)

  ;------------------------------------------------------------------------------------------------
  ; Get the windows' existing style
  ;------------------------------------------------------------------------------------------------

  ExStyle = GetWindowLongPtr_(WindowID(Window), #GWL_EXSTYLE)

  ;------------------------------------------------------------------------------------------------
  ; Now add the new style to the existing one
  ;------------------------------------------------------------------------------------------------

  If Not ExStyle & #WS_EX_LAYERED

    SetWindowLongPtr_(WindowID(Window), #GWL_EXSTYLE, ExStyle | #WS_EX_LAYERED)

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 26
; Folding = -
; DisableDebugger
; HideErrorLog