;============================================================================================================================================================
; 
;============================================================================================================================================================

Procedure Editor_Save(Gadget.i, FileName.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If FileName.s
    
    If LCase(GetExtensionPart(FileName.s)) <> "rtf"
      
      FileName.s + ".rtf"
      
    EndIf
      
    RtfFile.i = CreateFile(#PB_Any, FileName.s)
  
    If RtfFile.i
  
      stream.EDITSTREAM
  
      stream\dwCookie    = 1
  
      stream\pfnCallback = @Editor_StreamCallback()
  
      SendMessage_(GadgetID(Gadget.i), #EM_STREAMOUT, #SF_RTF, @stream)
     
      CloseFile(RtfFile.i)
  
    Else
      
      ; Debug "No file handle."
      
    EndIf
    
  Else
    
    ; Debug "No filename specified."
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure 
; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 48
; Folding = -
; EnableAsm
; EnableXP