;===========================================================================================================================
; 
;===========================================================================================================================

Procedure CompressBuffer(RawString.s, Direction)

  ;------------------------------------------------------------------------------------------------
  ;
  UnCompressedLen = Len(RawString.s)

  *Source = AllocateMemory(ToCompressLen)
  
  *Target = AllocateMemory(ToCompressLen + 8)
  
  If ToCompressLen And *Source And *Target
    
    PokeS( *Source, ToCompress.s, ToCompressLen)      ; Read the whole file in the memory buffer

    CompressedLength = PackMemory(*Source, *Target, ToCompressLen)   ; Compress our file, which is in memory

    If CompressedLength
      Debug PeekS(*Target)
      DecompressedLength = UnpackMemory(*Target, *Source)
      If DecompressedLength = ToCompressLen
        Debug PeekS(*Source)
      EndIf
    EndIf
    FreeMemory(*Source)
    FreeMemory(*Target)    
  EndIf

EndProcedure


; IDE Options = PureBasic 4.30 (Windows - x86)
; CursorPosition = 7