;============================================================================================================================
; 
;============================================================================================================================

Procedure Test_Output(Gadget)

  If *Buffer
    FreeMemory(*Buffer)
  EndIf
  
  *Buffer = AllocateMemory(GetRTFLen(Gadget))

  GetRTF(Gadget, *Buffer)
    
  ;----------------------------------------------------------------------------------
  ; Check buffer size and create a compressed buffer area
  ;----------------------------------------------------------------------------------

  BufferLen = MemorySize(*Buffer)
  *SquishedBuffer = AllocateMemory(BufferLen + 8)
    
  ;----------------------------------------------------------------------------------
  ; Try to compress the buffer into the compressed buffer
  ;----------------------------------------------------------------------------------

  If  *Buffer And BufferLen And *SquishedBuffer
    
    CompressedLength = PackMemory(*Buffer, *SquishedBuffer, BufferLen, 9) 

    ;----------------------------------------------------------------------------------
    ; Did we actually get anything compressed?
    ;----------------------------------------------------------------------------------

    If CompressedLength
      Debug PeekS(*SquishedBuffer)  + "  " + Str(CompressedLength)
    Else
      Debug "We didn't get anything compressed"
    EndIf

    ;----------------------------------------------------------------------------------
    ; One of the buffers or memory for it was missing
    ;----------------------------------------------------------------------------------
 
  Else   
    Debug "No buffer, buffer empty  or no squish buffer"  
  EndIf

  ;----------------------------------------------------------------------------------
  ;
  ;----------------------------------------------------------------------------------
    
EndProcedure

; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 44
; DisableDebugger
; HideErrorLog