;============================================================================================================================================================
; Fade the window out gently, close it and reset the mutex
;============================================================================================================================================================

Procedure CloseMyWindow(Window.i, Speed.i)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
    
  If Program\Fade = 1

    CurrentWindow.i = WindowID(Window.i)
    
    alpha.i = 255
    
    Repeat
    
      SetLayeredWindowAttributes_(CurrentWindow.i, 0, alpha.i, #LWA_ALPHA)
      
      alpha.i - Speed.i
      
      If alpha.i < 0
      
        alpha.i = 0
        
      EndIf
      
      Delay(10)
      
    Until alpha.i < = 0
    
    ShowWindow_(CurrentWindow.i, #SW_HIDE)
    
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; Close the program window
  ;------------------------------------------------------------------------------------------------
  
  CloseWindow(Window.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure



; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 40
; Folding = -
; DisableDebugger
; HideErrorLog