;============================================================================================================================================================
; Cumulatively set various font effects to text in an EditorGadget
;============================================================================================================================================================

Procedure Editor_Format(Gadget, Flags, Alternate = 0)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Format.CHARFORMAT2
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Format\cbSize = SizeOf(CHARFORMAT2)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Alternate
    
    SendMessage_(GadgetID(Gadget), #EM_GETCHARFORMAT, 1, @Format)
    
    Flags = Format\dwEffects ! Flags
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Format\dwMask = #CFM_ITALIC | #CFM_BOLD | #CFM_STRIKEOUT | #CFM_UNDERLINE | #CFM_LINK | #CFM_SUBSCRIPT | #CFM_SUPERSCRIPT
  
  Format\dwEffects = Flags
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SendMessage_(GadgetID(Gadget), #EM_SETCHARFORMAT,  #SCF_SELECTION, @Format)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure 
; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 48
; Folding = -
; DisableDebugger
; HideErrorLog