﻿;============================================================================================================================================================
; Hide the program window now
;============================================================================================================================================================

Procedure HideProgramWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; Minimise the program to the system tray area and set a tool tip
  ;------------------------------------------------------------------------------------------------
  
  Program\TrayState = #True      ; We've hidden the tray, so set the value corectly
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  HideWindow(#Window_notepiddle, #True)
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  DisableWindow(#Window_notepiddle, #True)
  
  ;------------------------------------------------------------------------------------------------
  ; Add the system tray icon now
  ;------------------------------------------------------------------------------------------------
  
  AddSysTrayIcon(#Systray_notepiddle_tray, WindowID(#Window_notepiddle), ImageID(#Image_notepiddle_tray))
  
  ;------------------------------------------------------------------------------------------------
  ; Add a tool tip to the tray
  ;------------------------------------------------------------------------------------------------
  
  SysTrayIconToolTip(#Systray_notepiddle_tray, #Traynote)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------  
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 40
; FirstLine = 3
; Folding = -
; EnableXP