﻿;==========================================================================================================================================================
; Show the program window now
;==========================================================================================================================================================

Procedure ShowProgramWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; Set tray semaphore to show that we don't need it
  ;------------------------------------------------------------------------------------------------
  
  Program\TrayState = #False
  
  ;------------------------------------------------------------------------------------------------
  ; Remove the tray ico, not needed any more
  ;------------------------------------------------------------------------------------------------
  
  RemoveSysTrayIcon(#Systray_notepiddle_tray)
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  HideWindow(#Window_notepiddle, #False)
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  DisableWindow(#Window_notepiddle, #False)
  
  ;------------------------------------------------------------------------------------------------
  ; Unhiding doesn't show the window sadly
  ;------------------------------------------------------------------------------------------------
  
  SetWindowState(#Window_notepiddle, #PB_Window_Normal)
  
  ;------------------------------------------------------------------------------------------------
  ; Un-hiding the window brings it to the front
  ;------------------------------------------------------------------------------------------------
  
  SetActiveWindow(#Window_notepiddle)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 45
; FirstLine = 8
; Folding = -
; EnableXP