;==========================================================================================================================================================
; Freak, Srod, Sparkie, Richedit handling
;==========================================================================================================================================================

Declare   Editor_Bulleted(Gadget)
Declare   Editor_Color(Gadget, Color.i)
Declare   Editor_FindTextn(Gadget.i, TextToFind.s, CaseFlag.i, Direction.i)
Declare   Editor_Font(Gadget, FontName.s)
Declare   Editor_FontSize(Gadget, Fontsize.i)
Declare   Editor_Format(Gadget, Flags, alternate = 0)
Declare   Editor_JustifyParagraph(Gadget, justify)
Declare   Editor_Load(Gadget.i, FileName.s)
Declare   Editor_Save(Gadget.i, FileName.s)
Declare   Editor_StreamCallback(dwCookie, *pbBuff, cb, *pcb.LONG)
Declare   Editor_Wrap(Gadget, Flag)

;==========================================================================================================================================================
; Me, wrapper routines
;==========================================================================================================================================================

Declare   Run_Editor_FindTextn(Gadget.i)
Declare   Run_Editor_Save(Gadget.i)
Declare   Run_Editor_Load(Gadget.i)
Declare   Run_Editor_Color(Gadget.i)
Declare   Run_Editor_Font(Gadget.i)
Declare   Run_Editor_FontSize(Gadget.i, Direction.s)

;==========================================================================================================================================================
; Any generic routines
;==========================================================================================================================================================

Declare   CloseMyWindow(Window, Speed)
Declare   FadeInMyWindow(Window, Speed)
Declare   RemoveBorders(GadgetConstant.i)
Declare   SetStatusBar(Flag, Message.s)
Declare   SetStyle(Window)

;==========================================================================================================================================================
; Get all details like line, char, count etc
;==========================================================================================================================================================

Declare   GetEditorDetails()

;==========================================================================================================================================================
; Window code
;==========================================================================================================================================================

Declare   OpenSearchWindow()
Declare   HideProgramWindow()                                                                       ; Hide the program window
Declare   ShowProgramWindow()                                                                       ; Show the program window

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 33
; FirstLine = 11
; EnableAsm
; EnableXP